code     segment
         assume    cs:code,ds:code
         org       100h

start:   jmp       init

zakaz    db        0                        ; zkaz obsluhy

old09    dd        0

numbuf   dw        0                        ; poet znak v bufferu
buffer   db        10 dup(0)                ; buffer k uloen klves


int09:
         cmp       byte ptr cs:[zakaz],0    ; je zkaz funkce ?
         jne       int099                   ; je zkaz funkce

         inc       byte ptr cs:[zakaz]      ; zkaz funkce
         push      ax
         push      bx
         push      cx
         push      si
         push      di
         push      ds
         push      es
         push      cs
         pop       ds
         push      cs
         pop       es
         cld
         sti
                                          ;* ten znaku
         in        al,[60h]
         or        al,al
         jz        int096                   ; ignorovn 0
         call      outch
         cmp       al,1
         jne       int090
         or        byte ptr cs:[endch],1
int090:
                                         ;* pidn znaku do bufferu
         mov       di,ds:[numbuf]           ; poet znak v bufferu
         inc       word ptr ds:[numbuf]     ; zven potu znak v bufferu
         add       di,offset buffer         ; adresa znaku v bufferu
         stosb                              ; pidn znaku do bufferu
         xor       ax,ax
         stosb                              ; uloen koncov 0
         mov       di,offset tab            ; referenn tabulka

                                          ;* porovnn s jednm vzorkem
int091:  mov       cx,ds:[numbuf]           ; poet znak v bufferu
         mov       si,offset buffer         ; zatek bufferu
         cmp       byte ptr ds:[di],al      ; je ji konec tabulky ?
         je        int093                   ; etzec nenalezen
         repe      cmpsb                    ; porovnn etzc
         jne       int092                   ; etzec nesouhlas - dal

         scasb                              ; je to cel etzec ?
         je        int094                   ; etzec nalezen - nhrada
         jmp       short int095             ; nalezen sten etzec

                                          ;* etzec nesouhlas - dal
int092:  mov       cx,-1
         repne     scasb                    ; nalezen konce etzce
         repne     scasb                    ; nalezen konce nhrady
         jmp       short int091             ; test dalho etzce

int094:                                   ;* etzec nalezen - nhrada
         mov       si,di                    ; bude vysln etzec

int093:                                   ;* etzec nenalezen - vyprzdnn
         mov       word ptr ds:[numbuf],0   ; zruen obsahu bufferu
         lodsb
         out       [60h],al
         cmp       byte ptr ds:[si],0
         je        int096                   ; je to posledn znak
         int       09h
         jmp       short int093

int095:                                   ;* nalezen sten etzec - ignorov.
         xor       ax,ax
         out       [60h],al                 ; znak k ignorovn

int096:
         pop       es
         pop       ds
         pop       di
         pop       si
         pop       cx
         pop       bx
         pop       ax
         dec       byte ptr cs:[zakaz]      ; zruen zkazu funkce
int099:
         jmp       dword ptr cs:[old09]

endch    db        0

tab      label     byte

         db        29,56,0,16,0             ; Alt1 -> F1
         db        29,29+128,0,1,1+128,0    ; Ctrl -> Esc
         db        1,0,41,0                 ; Esc -> '
         db        1+128,0,41+128,0         ;   Esc -> '

;         db        42,29                    ; lev SHIFT -> Ctrl
;         db        29,42

         db        0

outch:
         push      ax
         push      bx
         push      si
         push      di
         push      bp
         mov       ah,0eh
         int       10h
         pop       bp
         pop       di
         pop       si
         pop       bx
         pop       ax
         ret


init:

         mov       ax,3509h
         int       21h
         mov       word ptr ds:[old09],bx
         mov       word ptr ds:[old09+2],es
         mov       dx,offset int09
         mov       ax,2509h
         int       21h

test2:   xor       ax,ax
         int       16h
         push      ax
         xchg      ah,al
         mov       ah,0eh
         int       10h
         pop       ax
         mov       ah,0eh
         int       10h

test:    mov       ah,1
         int       16h
         jnz       test2

         test      byte ptr cs:[endch],1
         jz        test





konec:   lds       dx,ds:[old09]
         mov       ax,2509h
         int       21h
         int       20h

code     ends
         end       start
